Burp Suite User Forum

Login to post

Show if a lab requires Burp Suite Pro - PortSwigger Academy

wh4ck | Last updated: Oct 03, 2020 06:12PM UTC

I find it really annoying trying to solve a lab only to look at the solution and discover you need BurpSuite Pro. All I would like is a little icon to show if it requires the pro version - which a lot of beginners who need the lab can't afford, effectively cancelling out the purpose of the academy. Thanks, wh4ck.

Liam, PortSwigger Agent | Last updated: Oct 05, 2020 12:51PM UTC

Hi wh4ck. It should mention in the solution if Burp Pro is required. Which lab are you referring to?

Adam | Last updated: Sep 08, 2021 11:59AM UTC

Most people don't want to read the solution, until they have tried theirselves. I would sugget it mentioning burp pro in the lab description.

Adam | Last updated: Sep 08, 2021 12:00PM UTC

Also, I wanted to complete 100% of the labs, but can't because I don't have pro.

Liam, PortSwigger Agent | Last updated: Sep 08, 2021 05:52PM UTC

You won't be able to complete 100% of the labs without the Burp Suite Pro Collaborator tool. I've added a development ticket to our backlog to consider making it more obvious when a lab requires BSP.

You need to Log in to post a reply. Or register here, for free.